Loading...
Searching...
No Matches
utils.h File Reference
Utilities » Utilities

pipewire/utils.h More...

Go to the source code of this file.

## Macros

#define | ENODATA 9919
#define | strndupa(s, n)
#define | strdupa(s)
#define | pw_rand32()
#define | PW_DEPRECATED(v)

## Typedefs

typedef void(* | pw_destroy_t) (void *object)
| a function to destroy an item

## Functions

const char * | pw_split_walk (const char *str, const char *delimiter, size_t *len, const char **state)
| Split a string based on delimiters.
char ** | pw_split_strv (const char *str, const char *delimiter, int max_tokens, int *n_tokens)
| Split a string based on delimiters.
int | pw_split_ip (char *str, const char *delimiter, int max_tokens, char *tokens[])
| Split a string in-place based on delimiters.
char ** | pw_strv_parse (const char *val, size_t len, int max_tokens, int *n_tokens)
| Parse an array of strings.
int | pw_strv_find (char **a, const char *b)
| Find a string in a NULL terminated array of strings.
int | pw_strv_find_common (char **a, char **b)
| Check if two NULL terminated arrays of strings have a common string.
void | pw_free_strv (char **str)
| Free a NULL terminated array of strings.
char * | pw_strip (char *str, const char *whitespace)
| Strip all whitespace before and after a string.
ssize_t | pw_getrandom (void *buf, size_t buflen, unsigned int flags)
| Fill a buffer with random data.
void | pw_random (void *buf, size_t buflen)
| Fill a buffer with random data.
void * | pw_reallocarray (void *ptr, size_t nmemb, size_t size)

## Detailed Description

pipewire/utils.h

## Macro Definition Documentation

## ENODATA

#define ENODATA 9919